Bug 252986 - sysutils/libg15render: update to 1.3
Summary: sysutils/libg15render: update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-25 02:09 UTC by Daniel Menelkir
Modified: 2021-03-15 22:12 UTC (History)
2 users (show)

See Also:
dmenelkir: maintainer-feedback+


Attachments
libg15render-v1 (1.97 KB, patch)
2021-01-25 02:09 UTC, Daniel Menelkir
no flags Details | Diff
v2 (1.50 KB, patch)
2021-03-13 22:43 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2021-01-25 02:09:42 UTC
Created attachment 221890 [details]
libg15render-v1

Same as libg15, I've adopted the software, fixed some stuff and changed the source url.
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-26 09:18:35 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A:  USE_LDCONFIG should be after GL_COMMIT (https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order)

Thanks!
Comment 2 Daniel Menelkir 2021-01-26 12:05:41 UTC
(In reply to Fernando Apesteguía from comment #1)
Nothing special for a changelog. I've forked all g15 things to maintain myself. It's more a matter of forking and bringing the software under my umbrella.
Comment 3 Daniel Menelkir 2021-03-13 22:43:30 UTC
Created attachment 223238 [details]
v2

Update to 3.0.
Various fixes and clean up of code.
Comment 4 Neel Chauhan freebsd_committer 2021-03-15 22:12:18 UTC
Committed!
Comment 5 commit-hook freebsd_committer 2021-03-15 22:12:26 UTC
A commit references this bug:

Author: nc
Date: Mon Mar 15 22:11:38 UTC 2021
New revision: 568512
URL: https://svnweb.freebsd.org/changeset/ports/568512

Log:
  sysutils/libg15render: update to 1.3

  PR:		252986
  Submitted by:	Daniel Menelkir <menelkir AT itroll DOT org> (maintainer)

Changes:
  head/sysutils/libg15render/Makefile
  head/sysutils/libg15render/distinfo
  head/sysutils/libg15render/pkg-plist